Better ListView Class Reference |

# BetterListViewItemReorderInvalidationReasons Enumeration

Reasons why item reorder has been invalidated.

This enumeration has a FlagsAttribute attribute that allows a bitwise combination of its member values.

[Flags]
public enum BetterListViewItemReorderInvalidationReasons

#### Members

Member Name | Description | Value
--- | --- | ---
None | No reason for invalidation - item reorder is valid. | 0
NotTopLevel | Item reorder is invalid in case of data binding when other than top-level item is being reordered. | 1
NotSameParent | Item is being reordered under different parent when SameParentOnly item reordering option is turned on. | 2
PutInItself | Item is being reordered under itself. | 4

#### Requirements

Namespace: ComponentOwl.BetterListView

Assembly: BetterListView (in BetterListView.dll)

#### See Also

ComponentOwl.BetterListView Namespace